import { Component, Input, Output, EventEmitter } from '@angular/core';
import { AuditMetadata } from '../models/audit-metadata';

@Component({
  selector: 'cse-dars-metadata-table',
  templateUrl: './metadata-table.component.html',
  styleUrls: ['./metadata-table.component.scss'],
})
export class DarsMetadataTableComponent {
  @Input() public metadata: AuditMetadata[];
  @Output() public openAudit = new EventEmitter<AuditMetadata>();

  public displayedColumns = [
    'view',
    'school',
    'program',
    'honors',
    'plan',
    'status',
    'download',
  ];
}
